rb_global_vm_lock_struct Struct Reference

`#include <thread_pthread.h>`

## Data Fields

unsigned long | acquired
pthread_mutex_t | lock
volatile unsigned long | waiting
rb_thread_cond_t | cond
rb_thread_cond_t | switch_cond
rb_thread_cond_t | switch_wait_cond
int | need_yield
int | wait_yield
HANDLE | lock

## Detailed Description

Definition at line 35 of file thread_pthread.h.

## Field Documentation

unsigned long rb_global_vm_lock_struct::acquired

Definition at line 37 of file thread_pthread.h.

rb_thread_cond_t rb_global_vm_lock_struct::cond

Definition at line 42 of file thread_pthread.h.

HANDLE rb_global_vm_lock_struct::lock

Definition at line 36 of file thread_win32.h.

pthread_mutex_t rb_global_vm_lock_struct::lock

Definition at line 38 of file thread_pthread.h.

int rb_global_vm_lock_struct::need_yield

Definition at line 47 of file thread_pthread.h.

rb_thread_cond_t rb_global_vm_lock_struct::switch_cond

Definition at line 45 of file thread_pthread.h.

rb_thread_cond_t rb_global_vm_lock_struct::switch_wait_cond

Definition at line 46 of file thread_pthread.h.

int rb_global_vm_lock_struct::wait_yield

Definition at line 48 of file thread_pthread.h.

volatile unsigned long rb_global_vm_lock_struct::waiting

Definition at line 41 of file thread_pthread.h.

The documentation for this struct was generated from the following files:

- thread_pthread.h
- thread_win32.h